Multivariate Pattern Analysis in Python

# mvpa2.misc.plot.topo.plot_head_topography

`mvpa2.misc.plot.topo.``plot_head_topography`(topography, sensorlocations, plotsensors=False, resolution=51, masked=True, plothead=True, plothead_kwargs=None, **kwargs)

  Plot distribution to a head surface, derived from some sensor locations.

  The sensor locations are first projected onto the best fitting sphere and finally projected onto a circle (by simply ignoring the z-axis).

  Parameters:

  topography : array

  > A vector of some values corresponding to each sensor.

  sensorlocations : (nsensors x 3) array

  > 3D coordinates of each sensor. The order of the sensors has to match with the `topography` vector.

  plotsensors : bool

  > If True, sensor will be plotted on their projected coordinates. No sensor are shown otherwise.

  plothead : bool

  > If True, a head outline is plotted.

  plothead_kwargs : dict

  > Additional keyword arguments passed to `plot_head_outline()`.

  resolution : int

  > Number of surface samples along both x and y-axis.

  masked : bool

  > If True, all surface sample extending to head outline will be masked.

  **kwargs

  > All additional arguments will be passed to `pylab.imshow()`.

  Returns:

  (map, head, sensors)

  > The corresponding matplotlib objects are returned if plotted, ie. if plothead is set to `False`, `head` will be `None`.

  > > map

  > >   The colormap that makes the actual plot, a matplotlib.image.AxesImage instance.

  > > head

  > >   What is returned by `plot_head_outline()`.

  > > sensors

  > >   The dots marking the electrodes, a matplotlib.lines.Line2d instance.